<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): SSSPVertex&lt; DataType, EdgeType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classSSSPVertex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SSSPVertex&lt; DataType, EdgeType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__appGroup.html">Examples</a> &#124; <a class="el" href="group__SSSP.html">The Single-Source Shortest Path (SSSP) Algorithm</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Customized <a class="el" href="classTIGLApiVertex.html" title="Core vertex class for the TIGL Engine (with only output edge buffer). ">TIGLApiVertex</a> class for the Single Source Shortest Path using the Dijkstra Algorithm.  
 <a href="classSSSPVertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="appSSSP_8hpp_source.html">appSSSP.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for SSSPVertex&lt; DataType, EdgeType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classSSSPVertex.png" usemap="#SSSPVertex&lt; DataType, EdgeType &gt;_map" alt=""/>
  <map id="SSSPVertex&lt; DataType, EdgeType &gt;_map" name="SSSPVertex&lt; DataType, EdgeType &gt;_map">
<area href="classTIGLApiVertex.html" alt="TIGLApiVertex&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t, uint_fast32_t, DblMessage &gt;" shape="rect" coords="0,56,539,80"/>
<area href="classTIGLContainersVertexBase.html" alt="TIGLContainersVertexBase&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t &gt;" shape="rect" coords="0,0,539,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abc38b0c5a64577b057fe9e832a1251ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc38b0c5a64577b057fe9e832a1251ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSSSPVertex.html#abc38b0c5a64577b057fe9e832a1251ef">SSSPVertex</a> (uint_fast32_t key)</td></tr>
<tr class="memdesc:abc38b0c5a64577b057fe9e832a1251ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor customizes <a class="el" href="classTIGLApiVertex.html" title="Core vertex class for the TIGL Engine (with only output edge buffer). ">TIGLApiVertex</a> by disabling vertex processing in the absence of messages <br /></td></tr>
<tr class="separator:abc38b0c5a64577b057fe9e832a1251ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abed672f9db74e4848cf94e668538b699"><td class="memTemplParams" colspan="2">template&lt;typename ALLOCATOR_TYPE &gt; </td></tr>
<tr class="memitem:abed672f9db74e4848cf94e668538b699"><td class="memTemplItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSSSPVertex.html#abed672f9db74e4848cf94e668538b699">compute</a> (MESSAGE_BUF_TYPE *pIn, vector&lt; <a class="el" href="classTIGLApiMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *pOut, uint_fast32_t numMessages)</td></tr>
<tr class="memdesc:abed672f9db74e4848cf94e668538b699"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized compute function  <a href="#abed672f9db74e4848cf94e668538b699">More...</a><br /></td></tr>
<tr class="separator:abed672f9db74e4848cf94e668538b699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1c5d611197f20c44121c847695d4e79"><td class="memTemplParams" colspan="2">template&lt;typename ALLOCATOR_TYPE &gt; </td></tr>
<tr class="memitem:ad1c5d611197f20c44121c847695d4e79"><td class="memTemplItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSSSPVertex.html#ad1c5d611197f20c44121c847695d4e79">init</a> (uint_fast32_t *src, vector&lt; <a class="el" href="classTIGLApiMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *pOut)</td></tr>
<tr class="memdesc:ad1c5d611197f20c44121c847695d4e79"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized init function  <a href="#ad1c5d611197f20c44121c847695d4e79">More...</a><br /></td></tr>
<tr class="separator:ad1c5d611197f20c44121c847695d4e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classTIGLContainersVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classTIGLContainersVertexBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t &gt;</a></td></tr>
<tr class="memitem:ab12e0c19620ff872c8b793ff001f022b inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ab12e0c19620ff872c8b793ff001f022b">TIGLContainersVertexBase</a> (uint_fast32_tkey)</td></tr>
<tr class="memdesc:ab12e0c19620ff872c8b793ff001f022b inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab12e0c19620ff872c8b793ff001f022b">More...</a><br /></td></tr>
<tr class="separator:ab12e0c19620ff872c8b793ff001f022b inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c2b931b7f439a72da6baaadbb6f753d inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a0c2b931b7f439a72da6baaadbb6f753d">TIGLContainersVertexBase</a> (uint_fast32_tkey, DataType data, SSSPInfoalg)</td></tr>
<tr class="memdesc:a0c2b931b7f439a72da6baaadbb6f753d inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded constructor.  <a href="#a0c2b931b7f439a72da6baaadbb6f753d">More...</a><br /></td></tr>
<tr class="separator:a0c2b931b7f439a72da6baaadbb6f753d inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3887a721638627b063306724ad8cf22b inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3887a721638627b063306724ad8cf22b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a3887a721638627b063306724ad8cf22b">TIGLContainersVertexBase</a> ()</td></tr>
<tr class="memdesc:a3887a721638627b063306724ad8cf22b inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded empty constructor. <br /></td></tr>
<tr class="separator:a3887a721638627b063306724ad8cf22b inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a260b170afbb1f183b7d6247a148fea83 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a260b170afbb1f183b7d6247a148fea83"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a260b170afbb1f183b7d6247a148fea83">operator&lt;</a> (const <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt; DataType, <a class="el" href="classSSSPInfo.html">SSSPInfo</a>, EdgeType, uint_fast32_t &gt; &amp;rhs) const</td></tr>
<tr class="memdesc:a260b170afbb1f183b7d6247a148fea83 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for list ordering. <br /></td></tr>
<tr class="separator:a260b170afbb1f183b7d6247a148fea83 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1f818aadbfdd77acf6eb5974339b582 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1f818aadbfdd77acf6eb5974339b582"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ac1f818aadbfdd77acf6eb5974339b582">operator==</a> (const <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt; DataType, <a class="el" href="classSSSPInfo.html">SSSPInfo</a>, EdgeType, uint_fast32_t &gt; &amp;rhs) const</td></tr>
<tr class="memdesc:ac1f818aadbfdd77acf6eb5974339b582 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded equal operator for list ordering. <br /></td></tr>
<tr class="separator:ac1f818aadbfdd77acf6eb5974339b582 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cc87d2b4157b298460486dab71dfb44 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a7cc87d2b4157b298460486dab71dfb44">addEdge</a> (EdgeType &amp;x)</td></tr>
<tr class="memdesc:a7cc87d2b4157b298460486dab71dfb44 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds output edge.  <a href="#a7cc87d2b4157b298460486dab71dfb44">More...</a><br /></td></tr>
<tr class="separator:a7cc87d2b4157b298460486dab71dfb44 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d6b5c292809922673ceb6fdb188b6b3 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a2d6b5c292809922673ceb6fdb188b6b3">addEdge</a> (ID_TYPE &amp;target)</td></tr>
<tr class="memdesc:a2d6b5c292809922673ceb6fdb188b6b3 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds output edge (overloaded function)  <a href="#a2d6b5c292809922673ceb6fdb188b6b3">More...</a><br /></td></tr>
<tr class="separator:a2d6b5c292809922673ceb6fdb188b6b3 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9dc66486575edee5b2901b6fa01b370 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ae9dc66486575edee5b2901b6fa01b370">addEdge</a> (OUT_EDGE_BUF &amp;x)</td></tr>
<tr class="memdesc:ae9dc66486575edee5b2901b6fa01b370 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds multiple ouput edges.  <a href="#ae9dc66486575edee5b2901b6fa01b370">More...</a><br /></td></tr>
<tr class="separator:ae9dc66486575edee5b2901b6fa01b370 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355bc674650678249bd53adc12f1cb4d inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a355bc674650678249bd53adc12f1cb4d">removeEdge</a> (uint_fast32_t &amp;target)</td></tr>
<tr class="memdesc:a355bc674650678249bd53adc12f1cb4d inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes an output edge identified by target node.  <a href="#a355bc674650678249bd53adc12f1cb4d">More...</a><br /></td></tr>
<tr class="separator:a355bc674650678249bd53adc12f1cb4d inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54bd25069156c7ff89a9907f2167b24 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae54bd25069156c7ff89a9907f2167b24"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ae54bd25069156c7ff89a9907f2167b24">clearEdges</a> ()</td></tr>
<tr class="memdesc:ae54bd25069156c7ff89a9907f2167b24 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears all output edges. <br /></td></tr>
<tr class="separator:ae54bd25069156c7ff89a9907f2167b24 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa2da8ab2f06ff33fb499ee42b228ce inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8aa2da8ab2f06ff33fb499ee42b228ce"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a8aa2da8ab2f06ff33fb499ee42b228ce">getNumOutEdges</a> ()</td></tr>
<tr class="memdesc:a8aa2da8ab2f06ff33fb499ee42b228ce inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the total number of output edges. <br /></td></tr>
<tr class="separator:a8aa2da8ab2f06ff33fb499ee42b228ce inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77">getNumDifferentNbr</a> ()</td></tr>
<tr class="memdesc:a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of neigbors excluding self (i.e., ignoring self cycles) <br /></td></tr>
<tr class="separator:a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd0b2f0822224ebb4ee9b2d9b6ae7ba0 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#afd0b2f0822224ebb4ee9b2d9b6ae7ba0">getChildren</a> (vector&lt; uint_fast32_t &gt; &amp;vectChildren)</td></tr>
<tr class="memdesc:afd0b2f0822224ebb4ee9b2d9b6ae7ba0 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex id of all children.  <a href="#afd0b2f0822224ebb4ee9b2d9b6ae7ba0">More...</a><br /></td></tr>
<tr class="separator:afd0b2f0822224ebb4ee9b2d9b6ae7ba0 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b9a5ee6ceed8269cfde06116fa4fb30 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a6b9a5ee6ceed8269cfde06116fa4fb30">isConnected</a> (uint_fast32_tnode)</td></tr>
<tr class="memdesc:a6b9a5ee6ceed8269cfde06116fa4fb30 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if a given node is connected to the current node.  <a href="#a6b9a5ee6ceed8269cfde06116fa4fb30">More...</a><br /></td></tr>
<tr class="separator:a6b9a5ee6ceed8269cfde06116fa4fb30 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a776920aff39617337c8c0d11100fa948 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a776920aff39617337c8c0d11100fa948"></a>
DataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a776920aff39617337c8c0d11100fa948">get_value</a> ()</td></tr>
<tr class="memdesc:a776920aff39617337c8c0d11100fa948 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex data field. <br /></td></tr>
<tr class="separator:a776920aff39617337c8c0d11100fa948 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a782c440fc6c8ae87291f142239260091 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a782c440fc6c8ae87291f142239260091"></a>
<a class="el" href="classSSSPInfo.html">SSSPInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a782c440fc6c8ae87291f142239260091">getAlgData</a> ()</td></tr>
<tr class="memdesc:a782c440fc6c8ae87291f142239260091 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the algorithm data. <br /></td></tr>
<tr class="separator:a782c440fc6c8ae87291f142239260091 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c2f4752f5f1df26b608ddc6400777aa inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c2f4752f5f1df26b608ddc6400777aa"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a5c2f4752f5f1df26b608ddc6400777aa">getId</a> ()</td></tr>
<tr class="memdesc:a5c2f4752f5f1df26b608ddc6400777aa inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex id. <br /></td></tr>
<tr class="separator:a5c2f4752f5f1df26b608ddc6400777aa inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a077ed089a01250a2d15fc5acc7e3aaf6 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a077ed089a01250a2d15fc5acc7e3aaf6"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a077ed089a01250a2d15fc5acc7e3aaf6">getBeginOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a077ed089a01250a2d15fc5acc7e3aaf6 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator to the start of the outEdges buffer. <br /></td></tr>
<tr class="separator:a077ed089a01250a2d15fc5acc7e3aaf6 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af614e7143fb092f6a3115514de319b inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3af614e7143fb092f6a3115514de319b"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a3af614e7143fb092f6a3115514de319b">getEndOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a3af614e7143fb092f6a3115514de319b inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator to the last edge of the outEdges buffer. <br /></td></tr>
<tr class="separator:a3af614e7143fb092f6a3115514de319b inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb1a96d0d3ccc33e97c1b84af0a045d7 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#afb1a96d0d3ccc33e97c1b84af0a045d7">get_edge</a> (ID_TYPE target)</td></tr>
<tr class="memdesc:afb1a96d0d3ccc33e97c1b84af0a045d7 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator to the output edge with a given target.  <a href="#afb1a96d0d3ccc33e97c1b84af0a045d7">More...</a><br /></td></tr>
<tr class="separator:afb1a96d0d3ccc33e97c1b84af0a045d7 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0521f19891d34cc1dfba07ec5bd83cd inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#af0521f19891d34cc1dfba07ec5bd83cd">isBiVertex</a> ()</td></tr>
<tr class="memdesc:af0521f19891d34cc1dfba07ec5bd83cd inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the vertex type is <a class="el" href="classTIGLContainersBiVertex.html" title="Core vertex class with input and output edge buffers. ">TIGLContainersBiVertex</a>.  <a href="#af0521f19891d34cc1dfba07ec5bd83cd">More...</a><br /></td></tr>
<tr class="separator:af0521f19891d34cc1dfba07ec5bd83cd inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace8a3901abb1f925cd442ff24200b45f inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace8a3901abb1f925cd442ff24200b45f"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ace8a3901abb1f925cd442ff24200b45f">compute</a> (void *pIn=0, void *pOut=0)</td></tr>
<tr class="memdesc:ace8a3901abb1f925cd442ff24200b45f inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core compute function: trivial realization in the core class. This function is overriden by the algorithm class. <br /></td></tr>
<tr class="separator:ace8a3901abb1f925cd442ff24200b45f inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53510bd15bbce08013705a779d3b191a inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53510bd15bbce08013705a779d3b191a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a53510bd15bbce08013705a779d3b191a">init</a> ()</td></tr>
<tr class="memdesc:a53510bd15bbce08013705a779d3b191a inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core init function: trivial realization in the core class. This function is overriden by the algorithm class. <br /></td></tr>
<tr class="separator:a53510bd15bbce08013705a779d3b191a inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd5a44e577f8d3f69b6fb0b5f4fc2ec inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcd5a44e577f8d3f69b6fb0b5f4fc2ec"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#afcd5a44e577f8d3f69b6fb0b5f4fc2ec">getEdgesSize</a> ()</td></tr>
<tr class="memdesc:afcd5a44e577f8d3f69b6fb0b5f4fc2ec inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns memory usage for edges. <br /></td></tr>
<tr class="separator:afcd5a44e577f8d3f69b6fb0b5f4fc2ec inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classTIGLApiVertex"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classTIGLApiVertex')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classTIGLApiVertex.html">TIGLApiVertex&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td></tr>
<tr class="memitem:a7f130ee572059d53540d2fe45012803a inherit pro_attribs_classTIGLApiVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f130ee572059d53540d2fe45012803a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLApiVertex.html#a7f130ee572059d53540d2fe45012803a">flagActive</a></td></tr>
<tr class="memdesc:a7f130ee572059d53540d2fe45012803a inherit pro_attribs_classTIGLApiVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">active flag <br /></td></tr>
<tr class="separator:a7f130ee572059d53540d2fe45012803a inherit pro_attribs_classTIGLApiVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classTIGLContainersVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classTIGLContainersVertexBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t &gt;</a></td></tr>
<tr class="memitem:a3f6edf01d8830e0b5b8ad74549eeb085 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f6edf01d8830e0b5b8ad74549eeb085"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a3f6edf01d8830e0b5b8ad74549eeb085">id</a></td></tr>
<tr class="memdesc:a3f6edf01d8830e0b5b8ad74549eeb085 inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">unique vertex ID <br /></td></tr>
<tr class="separator:a3f6edf01d8830e0b5b8ad74549eeb085 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42054ed48c73a733e99f3ef80698e50b inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42054ed48c73a733e99f3ef80698e50b"></a>
DataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a42054ed48c73a733e99f3ef80698e50b">vertexData</a></td></tr>
<tr class="memdesc:a42054ed48c73a733e99f3ef80698e50b inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">associated generic data <br /></td></tr>
<tr class="separator:a42054ed48c73a733e99f3ef80698e50b inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36b610433331bb36b1c05a1fa942418 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac36b610433331bb36b1c05a1fa942418"></a>
<a class="el" href="classSSSPInfo.html">SSSPInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ac36b610433331bb36b1c05a1fa942418">algData</a></td></tr>
<tr class="memdesc:ac36b610433331bb36b1c05a1fa942418 inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Algorithm-specific data. <br /></td></tr>
<tr class="separator:ac36b610433331bb36b1c05a1fa942418 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e0e018b11f1fbe310789c332efed1b9 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e0e018b11f1fbe310789c332efed1b9"></a>
OUT_EDGE_BUF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a8e0e018b11f1fbe310789c332efed1b9">outEdges</a></td></tr>
<tr class="memdesc:a8e0e018b11f1fbe310789c332efed1b9 inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">output edge buffer <br /></td></tr>
<tr class="separator:a8e0e018b11f1fbe310789c332efed1b9 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_attribs_classTIGLApiVertex"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_classTIGLApiVertex')"><img src="closed.png" alt="-"/>&#160;Static Protected Attributes inherited from <a class="el" href="classTIGLApiVertex.html">TIGLApiVertex&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td></tr>
<tr class="memitem:a59c1819f355b9297fd943e02de1c9d1f inherit pro_static_attribs_classTIGLApiVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59c1819f355b9297fd943e02de1c9d1f"></a>
static <a class="el" href="classTIGLContainersAggregate.html">AGGREGATE_TYPE</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLApiVertex.html#a59c1819f355b9297fd943e02de1c9d1f">aggregateInfoPtr</a></td></tr>
<tr class="memdesc:a59c1819f355b9297fd943e02de1c9d1f inherit pro_static_attribs_classTIGLApiVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to the aggregate information <br /></td></tr>
<tr class="separator:a59c1819f355b9297fd943e02de1c9d1f inherit pro_static_attribs_classTIGLApiVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0b30555edcb496a6605e442066eb11 inherit pro_static_attribs_classTIGLApiVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf0b30555edcb496a6605e442066eb11"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">activeWithNoMessage</a></td></tr>
<tr class="memdesc:abf0b30555edcb496a6605e442066eb11 inherit pro_static_attribs_classTIGLApiVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">a flag when true the vertex is processed even with no message, if false it is processed only if there are messages <br /></td></tr>
<tr class="separator:abf0b30555edcb496a6605e442066eb11 inherit pro_static_attribs_classTIGLApiVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f97f5c472444d212bf6ddfd217032e2 inherit pro_static_attribs_classTIGLApiVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f97f5c472444d212bf6ddfd217032e2"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">reactivateFlag</a></td></tr>
<tr class="memdesc:a5f97f5c472444d212bf6ddfd217032e2 inherit pro_static_attribs_classTIGLApiVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">a flag when true the vertex can be reactivated by new messages, otherwise it never wake up once becomes inactive <br /></td></tr>
<tr class="separator:a5f97f5c472444d212bf6ddfd217032e2 inherit pro_static_attribs_classTIGLApiVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename DataType = char, typename EdgeType = TIGLContainersEdgeBase&lt;uint_fast32_t&gt;&gt;<br />
class SSSPVertex&lt; DataType, EdgeType &gt;</h3>

<p>Customized <a class="el" href="classTIGLApiVertex.html" title="Core vertex class for the TIGL Engine (with only output edge buffer). ">TIGLApiVertex</a> class for the Single Source Shortest Path using the Dijkstra Algorithm. </p>
<p>it inherits the core <a class="el" href="classTIGLApiVertex.html" title="Core vertex class for the TIGL Engine (with only output edge buffer). ">TIGLApiVertex</a> class and defines the procedures for computing the SSSP algorithm. it is a template class with the following parameter </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">DataType</td><td>the type of the data field in a vertex </td></tr>
    <tr><td class="paramname">EdgeType</td><td>the type of the edge class </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="abed672f9db74e4848cf94e668538b699"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename DataType  = char, typename EdgeType  = TIGLContainersEdgeBase&lt;uint_fast32_t&gt;&gt; </div>
<div class="memtemplate">
template&lt;typename ALLOCATOR_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t <a class="el" href="classSSSPVertex.html">SSSPVertex</a>&lt; DataType, EdgeType &gt;::compute </td>
          <td>(</td>
          <td class="paramtype">MESSAGE_BUF_TYPE *&#160;</td>
          <td class="paramname"><em>pIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&lt; <a class="el" href="classTIGLApiMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *&#160;</td>
          <td class="paramname"><em>pOut</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>numMessages</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>customized compute function </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pIn</td><td>pointer to the input message buffer </td></tr>
    <tr><td class="paramname">pOut</td><td>pointer to the output message buffer </td></tr>
    <tr><td class="paramname">numMessages</td><td>the number of input data messages </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the number of output data messages </dd></dl>
<p>body</p>
<ol type="1">
<li>check the consistency of the input messages</li>
<li>compute the new distance to source</li>
<li>If the distance changes, write the new distance in messages to all neighbors</li>
<li>If the distance equals the minimum distance, deactivate the vertex </li>
</ol>

</div>
</div>
<a class="anchor" id="ad1c5d611197f20c44121c847695d4e79"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename DataType  = char, typename EdgeType  = TIGLContainersEdgeBase&lt;uint_fast32_t&gt;&gt; </div>
<div class="memtemplate">
template&lt;typename ALLOCATOR_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t <a class="el" href="classSSSPVertex.html">SSSPVertex</a>&lt; DataType, EdgeType &gt;::init </td>
          <td>(</td>
          <td class="paramtype">uint_fast32_t *&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&lt; <a class="el" href="classTIGLApiMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *&#160;</td>
          <td class="paramname"><em>pOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>customized init function </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td>pointer to uint_fast32_t parameter that has the ID of the source vertex </td></tr>
    <tr><td class="paramname">pOut</td><td>pointer to the output message buffer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the number of output data messages </dd></dl>
<p>body</p>
<ol type="1">
<li>If the vertex is the source vertex, send message to all neighbors and deactivate</li>
<li>If the vertex is not the source vertex, activate and wait for messages </li>
</ol>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="appSSSP_8hpp_source.html">appSSSP.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:55 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
